NX Open C++ Reference Guide
|
Represents a User Defined Attribute
To create or edit an instance of this class, use Annotations::PmiUserDefinedBuilder
Created in NX6.0.0.
More...
Additional Inherited Members | |
![]() | |
enum | ObjectFont { ObjectFontSolid = 1, ObjectFontDashed, ObjectFontPhantom, ObjectFontCenterline, ObjectFontDotted, ObjectFontLongDashed, ObjectFontDottedDashed } |
specifies the object font for objects such as lines Created in NX3.0.0. More... | |
enum | ObjectWidth { ObjectWidthNormal, ObjectWidthThick, ObjectWidthThin, ObjectWidthOne = 5, ObjectWidthTwo, ObjectWidthThree, ObjectWidthFour, ObjectWidthFive, ObjectWidthSix, ObjectWidthSeven, ObjectWidthEight, ObjectWidthNine } |
specifies object width for objects such as lines and text Created in NX3.0.0. More... | |
![]() | |
NXOpen::Point3d | AnnotationOrigin () |
Returns the origin (location) of the annotation. | |
NXOpen::Xform * | AnnotationPlane () |
Returns the annotation plane. | |
NXOpen::Annotations::Annotation::AssociativeOriginData | GetAssociativeOrigin (NXOpen::Point3d *origin) |
Gets data that specifies the origin's associativity. | |
NXOpen::Annotations::Associativity * | GetAssociativity (int associativityIndex) |
Returns the associativity at specified index. | |
NXOpen::Xform * | GetInferredAnnotationPlane (NXOpen::Annotations::PmiDefaultPlane jaDefaultPlane) |
Returns the inferred annotation plane. | |
NXOpen::Annotations::LetteringPreferences * | GetLetteringPreferences () |
Returns the lettering preferences for the annotation. | |
NXOpen::Annotations::LineAndArrowPreferences * | GetLineAndArrowPreferences () |
Returns the line and arrow preferences for the annotation. | |
NXOpen::Annotations::SymbolPreferences * | GetSymbolPreferences () |
Returns the symbol preferences for the annotation. | |
std::vector< NXOpen::View * > | GetViews () |
Returns the views that the PMI display instance object is displayed in NOTE: This method is only valid for PMI display instance objects. | |
bool | HasAssociativeOrigin () |
Returns a flag indicating whether the origin is associative Created in NX3.0.0. | |
void | InsertIntoStack (NXOpen::Annotations::Annotation *stack, NXOpen::Annotations::StackAlignmentPosition position) |
Inserts the annotation into a stack. | |
bool | IsRetained () |
Returns a flag indicating whether the annotation is retained Created in NX3.0.0. | |
NXOpen::Annotations::LeaderOrientation | LeaderOrientation () |
Returns the leader orientation for the annotation. | |
int | NumberOfAssociativities () |
Returns the number of associativities for the annotation. | |
void | SetAnnotationOrigin (const NXOpen::Point3d &origin) |
Sets the origin (location) of the annotation. | |
void | SetAnnotationPlane (NXOpen::Xform *annotationPlane) |
Sets the annotation plane. | |
void | SetAssociativeOrigin (const NXOpen::Annotations::Annotation::AssociativeOriginData &assocOrigin, const NXOpen::Point3d &origin) |
Associates the annotation's origin to the specified geometry. | |
void | SetAssociativity (int associativityIndex, NXOpen::Annotations::Associativity *associativity) |
Sets the associativity at specified index. | |
void | SetLeaderOrientation (NXOpen::Annotations::LeaderOrientation leaderOrientation) |
Sets the leader orientation for the annotation. | |
void | SetLetteringPreferences (NXOpen::Annotations::LetteringPreferences *letteringPrefs) |
Sets the lettering preferences for the annotation. | |
void | SetLineAndArrowPreferences (NXOpen::Annotations::LineAndArrowPreferences *lineArrowPrefs) |
Sets the line and arrow preferences for the annotation. | |
void | SetSymbolPreferences (NXOpen::Annotations::SymbolPreferences *symbolPrefs) |
Sets the symbol preferences for the annotation. | |
void | SetViews (const std::vector< NXOpen::View * > &modelViews) |
Sets the views that the PMI display instance object is displayed in. | |
Represents a User Defined Attribute
To create or edit an instance of this class, use Annotations::PmiUserDefinedBuilder
Created in NX6.0.0.